use std::{env, fs};
use std::process::exit;

fn main() {
    let args: Vec<String> = env::args().collect();

    if args.len() != 3 {
        eprintln!("Expected 3 arguments");
        std::process::exit(69);
    }
    let phrase = &args[1];
    let replace = &args[2];
    let filename = &args[3];

    println!("In file {}", filename);

    let contents = fs::read_to_string(filename)
        .expect("Something went wrong reading the file");

    println!("Searching for {}", &phrase);
    println!("In file {}", filename);

    let str = contents.replace(phrase,replace);

    fs::write(filename, str);
}

fn Replace(phrase: &String, content: String, replace: &String) -> String {
    if content.contains(phrase) {
        for phrase in content.chars() {
            content.replace(phrase, &replace);
        }
    } else {
        eprintln!("phrase is not in file");
    }

    return content;
}
